petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmVectorDefineField

Sets the field from which to define a Vec object when DMCreateLocalVector(), or DMCreateGlobalVector() is called

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmVectorDefineField(DM dm,const char fieldname[])

Collective on dm

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name given to a registered field

### Notes

The field with name fieldname must be defined as having a data type of PetscScalar.

This function must be called prior to calling DMCreateLocalVector(), DMCreateGlobalVector(). Mutiple calls to DMSwarmVectorDefineField() are permitted.

### See Also

DMSwarmRegisterPetscDatatypeField(), DMCreateGlobalVector(), DMCreateLocalVector()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages